Getting error with pip search and pip install

Total
0
Shares

hi it is about two days I am getting this error:

ERROR: XMLRPC request failed [code:-32500]
RuntimeError: PyPI’s XMLRPC API is currently disabled due to unmanageable load and will be deprecated in the near future. See https://status.python.org/ for more information.

I asked from some people and searched a lot but I din’t kbow what is the problem and how to fix it
I tryed apt update and python3 pip install --upgrade pip recommended by pip itself
I am in android using Termux
pip was working for some days ago…


Solution

Sadly pip search is now permanently banned by python.org.
They said that they are experiencing "hundreds of thousands of search calls per hour" for 100 days(since Nov 14, 2020), and the XMLRPC API, via which the search calls are taking, had already been determined to be deprecated before this happened.
So maybe we need to search for packages directly on pypi.org, or turn to packages like pypi-simple-search or pipsearch.

Source: StackOverflow.com

Leave a Reply

Your email address will not be published. Required fields are marked *